openejb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dain Sundstrom <d...@iq80.com>
Subject Re: openejb-webservices compilation problems and Java 6.0
Date Tue, 08 Jan 2008 21:25:07 GMT
This is an implementation of the SAAJ SoapFactory class, and these  
two methods are new in SAAJ 1.3.  The weird thing is SAAJ is not in  
the 1.5 vm, so we must be picking up a SAAJ 1.2 SoapFactory class  
from the class path when on Java5.

I'm going to take a look at the dependencies today and tomorrow, and  
will remove any old SAAJ api jars.  I'll let you know when I'm  
finished, so you can try again.

-dain

On Jan 6, 2008, at 3:24 AM, Mohammad Nour El-Din wrote:

> I checked out the latest code from repo and everything went OK - the
> encoding problem didn't appear on my windows machine - but while I am
> building the openejb-webservices project I got two compilation  
> errors in
> SoapFactoryImpl.java, because the createFault() and createFault 
> (String,
> QName); are not supported in the SOAPFactory class while I am  
> building using
> Java 5 when I used Java 6 it compiled just OK.
>
> I think it will not be a problem for the user who is using Java 5  
> to run
> OpenEJB but now it is a mandatory to compile against Java 6 at  
> least for
> this project. I was thinking in a conditional compilation solution  
> and found
> one using ANT and I am still searching for one using Maven2, so while
> building if we can detect which Java version we use and weh can  
> conditionaly
> compile the former methods. Any thoughts about that, Am I thinking  
> in the
> right direction ?
>
> -- 
> Thanks
> - Mohammad Nour


Mime
View raw message